// DialogConfigTab1.cpp : @
//

#include "stdafx.h"
#include "VTC1911_IPK_Utility.h"
#include "DialogConfigTab1.h"
#include "VTC1911_IPK.h"
#include "VTC1911_IPK_UtilityDlg.h"


// CDialogConfigTab1 ܤ

IMPLEMENT_DYNAMIC(CDialogConfigTab1, CDialog)

CDialogConfigTab1::CDialogConfigTab1(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogConfigTab1::IDD, pParent)
{
	m_isDoCommand = FALSE;
}

CDialogConfigTab1::~CDialogConfigTab1()
{
}

void CDialogConfigTab1::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_CEdit_MCUversion);
	DDX_Control(pDX, IDC_EDIT2, m_CEdit_OSControl);
	DDX_Control(pDX, IDC_EDIT3, m_CEdit_Ignition);
	DDX_Control(pDX, IDC_EDIT4, m_CEdit_SupplyVoltage);
	DDX_Control(pDX, IDC_EDIT5, m_CEdit_WWAN_Enable);
	DDX_Control(pDX, IDC_COMBO1, m_CComboBox_WWAN_Enable);
	DDX_Control(pDX, IDC_EDIT6, m_CEdit_WWAN_Wakeup_Enable);
	DDX_Control(pDX, IDC_COMBO2, m_CComboBox_WWAN_Wakeup_Enable);
	DDX_Control(pDX, IDC_EDIT7, m_CEdit_WiFi);
	DDX_Control(pDX, IDC_COMBO3, m_CComboBox_WiFi);
	DDX_Control(pDX, IDC_EDIT8, m_CEdit_LANStatus);
	DDX_Control(pDX, IDC_EDIT9, m_CEdit_MDO_1);
	DDX_Control(pDX, IDC_EDIT10, m_CEdit_MDO_2);
	DDX_Control(pDX, IDC_EDIT11, m_CEdit_MDO_3);
	DDX_Control(pDX, IDC_COMBO4, m_CComboBox_MDO_1);
	DDX_Control(pDX, IDC_COMBO5, m_CComboBox_MDO_2);
	DDX_Control(pDX, IDC_COMBO6, m_CComboBox_MDO_3);
	DDX_Control(pDX, IDC_EDIT12, m_CEdit_MDI_1);
	DDX_Control(pDX, IDC_EDIT13, m_CEdit_MDI_2);
	DDX_Control(pDX, IDC_EDIT14, m_CEdit_MDI_3);
	DDX_Control(pDX, IDC_EDIT15, m_CEdit_GetSIMCardStatus);
	DDX_Control(pDX, IDC_COMBO7, m_CComboBox_SIMCardSelect);
	DDX_Control(pDX, IDC_COMBO8, m_CComboBox_BootMode);
	DDX_Control(pDX, IDC_COMBO9, m_CComboBox_OSControl);
	DDX_Control(pDX, IDC_COMBO10, m_CComboBox_LANControl);
	DDX_Control(pDX, IDC_EDIT16, m_CEdit_BIOS_Ver);
}


BEGIN_MESSAGE_MAP(CDialogConfigTab1, CDialog)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTON1, &CDialogConfigTab1::OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, &CDialogConfigTab1::OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON3, &CDialogConfigTab1::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON4, &CDialogConfigTab1::OnBnClickedButton4)
	ON_BN_CLICKED(IDC_BUTTON5, &CDialogConfigTab1::OnBnClickedButton5)
	ON_BN_CLICKED(IDC_BUTTON6, &CDialogConfigTab1::OnBnClickedButton6)
	ON_BN_CLICKED(IDC_BUTTON7, &CDialogConfigTab1::OnBnClickedButton7)
	ON_BN_CLICKED(IDC_BUTTON8, &CDialogConfigTab1::OnBnClickedButton8)
	ON_BN_CLICKED(IDC_BUTTON9, &CDialogConfigTab1::OnBnClickedButton9)
	ON_BN_CLICKED(IDC_BUTTON10, &CDialogConfigTab1::OnBnClickedButton10)
END_MESSAGE_MAP()


// CDialogConfigTab1 TBz`
BOOL CDialogConfigTab1::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO: Add extra initialization here

	m_CComboBox_WWAN_Enable.ResetContent();
	m_CComboBox_WWAN_Enable.InsertString(0, TEXT("Disable"));
	m_CComboBox_WWAN_Enable.InsertString(1, TEXT("Enable"));
	m_CComboBox_WWAN_Enable.SetCurSel(1);

	m_CComboBox_WWAN_Wakeup_Enable.ResetContent();
	m_CComboBox_WWAN_Wakeup_Enable.InsertString(0, TEXT("Disable"));
	m_CComboBox_WWAN_Wakeup_Enable.InsertString(1, TEXT("Enable"));
	m_CComboBox_WWAN_Wakeup_Enable.SetCurSel(1);

	m_CComboBox_WiFi.ResetContent();
	m_CComboBox_WiFi.InsertString(0, TEXT("Disable"));
	m_CComboBox_WiFi.InsertString(1, TEXT("Enable"));
	m_CComboBox_WiFi.SetCurSel(1);

	m_CComboBox_MDO_1.ResetContent();
	m_CComboBox_MDO_1.InsertString(0, TEXT("GPO1 : Low"));
	m_CComboBox_MDO_1.InsertString(1, TEXT("GPO1 : High"));
	m_CComboBox_MDO_1.SetCurSel(1);

	m_CComboBox_MDO_2.ResetContent();
	m_CComboBox_MDO_2.InsertString(0, TEXT("GPO2 : Low"));
	m_CComboBox_MDO_2.InsertString(1, TEXT("GPO2 : High"));
	m_CComboBox_MDO_2.SetCurSel(1);

	m_CComboBox_MDO_3.ResetContent();
	m_CComboBox_MDO_3.InsertString(0, TEXT("GPO3 : Low"));
	m_CComboBox_MDO_3.InsertString(1, TEXT("GPO3 : High"));
	m_CComboBox_MDO_3.SetCurSel(1);

	m_CComboBox_SIMCardSelect.ResetContent();
	m_CComboBox_SIMCardSelect.InsertString(0, TEXT("SIM Card 1"));
	m_CComboBox_SIMCardSelect.InsertString(1, TEXT("SIM Card 2"));
	m_CComboBox_SIMCardSelect.SetCurSel(0);

	m_CComboBox_BootMode.ResetContent();
	m_CComboBox_BootMode.InsertString(0, TEXT("No Power"));
	m_CComboBox_BootMode.InsertString(1, TEXT("Enter BIOS"));
	m_CComboBox_BootMode.InsertString(2, TEXT("Enter OS"));
	m_CComboBox_BootMode.SetCurSel(0);

	m_CComboBox_OSControl.ResetContent();
	m_CComboBox_OSControl.InsertString(0, TEXT("None"));
	m_CComboBox_OSControl.InsertString(1, TEXT("Auto Reboot"));
	m_CComboBox_OSControl.SetCurSel(1);

	m_CComboBox_LANControl.ResetContent();
	m_CComboBox_LANControl.InsertString(0, TEXT("Disable"));
	m_CComboBox_LANControl.InsertString(1, TEXT("Enable"));
	m_CComboBox_LANControl.SetCurSel(1);

	// BIOS Ver
	TCHAR szBIOS_Ver[32];
	memset(szBIOS_Ver, 0, sizeof(szBIOS_Ver));

#ifdef  UNICODE
	if( Get_BIOS_Version_W(szBIOS_Ver, sizeof(szBIOS_Ver)/sizeof(TCHAR)) )
#else
	if( Get_BIOS_Version(szBIOS_Ver, sizeof(szBIOS_Ver)) )
#endif
	{
		m_CEdit_BIOS_Ver.SetWindowText(szBIOS_Ver);
	}
	else
	{
		m_CEdit_BIOS_Ver.SetWindowText(TEXT("unknown"));
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CDialogConfigTab1::OnTimer(UINT_PTR nIDEvent)
{
	if( 1 == nIDEvent )
	{
		KillTimer(1);

		switch( m_nStep )
		{
		case 0: fnGetMCUVersion();			m_nStep++; break;
		case 1: fnGetIgnitionStatus();		m_nStep++; break;
		case 2: fnGetSupplyVoltage();		m_nStep++; break;
		case 3: fnGetOSControl();			m_nStep++; break;
		case 4: fnGetWWANStatus();			m_nStep++; break;
		case 5: fnGetWiFiStatus();			m_nStep++; break;
		case 6: fnGetLANStatus();			m_nStep++; break;
		case 7: fnGetMDOStatus();			m_nStep++; break;
		case 8: fnGetMDIStatus();			m_nStep++; break;
		case 9: fnGetSIMCardStatus();		m_nStep++; break;
		default: break;
		}

		if( m_nStep < 10 )
			SetTimer(1, 50, NULL);
	}

	CDialog::OnTimer(nIDEvent);
}

void CDialogConfigTab1::fnUpdate()
{
	fnGetMCUVersion();
	fnGetIgnitionStatus();
	fnGetSupplyVoltage();
}

void CDialogConfigTab1::fnGetMCUVersion()
{
	int nMCUVersion = 0;
	int nResult = GetMCUVersion(&nMCUVersion);
	if( nResult == 1 )
	{
		CString strMCUVersion;
		strMCUVersion.Format(TEXT("VT191R%02d"), nMCUVersion);
		m_CEdit_MCUversion.SetWindowText(strMCUVersion);
	}
	else
	{
		m_CEdit_MCUversion.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetIgnitionStatus()
{
	int nIgnitionStatus = 0;
	int nResult = GetIgnitionStatus(&nIgnitionStatus);
	if( nResult == 1 )
	{
		CString strIgnition;
		switch(nIgnitionStatus)
		{
		case 0: strIgnition = TEXT("OFF"); break;
		case 1: strIgnition = TEXT("ON"); break;
		default: strIgnition = TEXT("Undefined"); break;
		}
		m_CEdit_Ignition.SetWindowText(strIgnition);
	}
	else
	{
		m_CEdit_Ignition.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetSupplyVoltage()
{
	int nSupplyVoltage = 0;
	int nResult = GetSupplyVoltage(&nSupplyVoltage);
	if( nResult == 1 )
	{
		double fVoltage = (double)nSupplyVoltage/1000;
		CString strSupplyVoltage;
		strSupplyVoltage.Format(TEXT("%2.1f V"), fVoltage); 
		m_CEdit_SupplyVoltage.SetWindowText(strSupplyVoltage);
	}
	else
	{
		m_CEdit_SupplyVoltage.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetOSControl()
{
	int nStatus = 0;
	int nResult = GetOSControl(&nStatus);
	if( nResult == 1 )
	{
		switch(nStatus)
		{
		case 0:
			m_CEdit_OSControl.SetWindowText(TEXT("None"));
			break;
		case 1:
			m_CEdit_OSControl.SetWindowText(TEXT("Auto reboot"));
			break;
		default:
			m_CEdit_OSControl.SetWindowText(TEXT("Undefined"));
			break;
		}
	}
	else
	{
		m_CEdit_OSControl.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetWWANStatus()
{
	int nWWAN_Enable;
	int nWWAN_Wakeup_Enable;
	int nResult = GetWWANStatus(&nWWAN_Enable, &nWWAN_Wakeup_Enable);
	if( nResult == 1 )
	{
		CString strWWAN_Enable;
		switch(nWWAN_Enable)
		{
		case 0: strWWAN_Enable = TEXT("Disable"); break;
		case 1: strWWAN_Enable = TEXT("Enable"); break;
		default: strWWAN_Enable = TEXT("Undefined"); break;
		}
		m_CEdit_WWAN_Enable.SetWindowText(strWWAN_Enable);

		CString strWWAN_Wakeup_Enable;
		switch(nWWAN_Wakeup_Enable)
		{
		case 0: strWWAN_Wakeup_Enable = TEXT("Disable"); break;
		case 1: strWWAN_Wakeup_Enable = TEXT("Enable"); break;
		default: strWWAN_Wakeup_Enable = TEXT("Undefined"); break;
		}
		m_CEdit_WWAN_Wakeup_Enable.SetWindowText(strWWAN_Wakeup_Enable);
	}
	else
	{
		m_CEdit_WWAN_Enable.SetWindowText(TEXT("?"));
		m_CEdit_WWAN_Wakeup_Enable.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetWiFiStatus()
{
	int nWiFi;
	int nResult = GetWiFiStatus(&nWiFi);
	if( nResult == 1 )
	{
		switch(nWiFi)
		{
		case 0: m_CEdit_WiFi.SetWindowText(TEXT("Disable")); break;
		case 1: m_CEdit_WiFi.SetWindowText(TEXT("Enable")); break;
		default: m_CEdit_WiFi.SetWindowText(TEXT("Undefined")); break;
		}
	}
	else
	{
		m_CEdit_WiFi.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetLANStatus()
{
	int nLANStatus = 0;
	int nResult = GetLANStatus(&nLANStatus);
	if( nResult == 1 )
	{
		switch(nLANStatus)
		{
		case 0: m_CEdit_LANStatus.SetWindowText(TEXT("Disable")); break;
		case 1: m_CEdit_LANStatus.SetWindowText(TEXT("Enable")); break;
		default: m_CEdit_LANStatus.SetWindowText(TEXT("Undefined")); break;
		}
	}
	else
	{
		m_CEdit_LANStatus.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetMDOStatus()
{
	int nMDO1, nMDO2, nMDO3;
	int nResult = GetMDOStatus(&nMDO1, &nMDO2, &nMDO3);
	if( nResult == 1 )
	{
		if( nMDO1 == 1 )
			m_CEdit_MDO_1.SetWindowText(TEXT("GPO1 : High"));
		else if( nMDO1 == 0 )
			m_CEdit_MDO_1.SetWindowText(TEXT("GPO1 : Low"));
		else
			m_CEdit_MDO_1.SetWindowText(TEXT("Undefined"));

		if( nMDO2 == 1 )
			m_CEdit_MDO_2.SetWindowText(TEXT("GPO2 : High"));
		else if( nMDO2 == 0 )
			m_CEdit_MDO_2.SetWindowText(TEXT("GPO2 : Low"));
		else
			m_CEdit_MDO_2.SetWindowText(TEXT("Undefined"));

		if( nMDO3 == 1 )
			m_CEdit_MDO_3.SetWindowText(TEXT("GPO3 : High"));
		else if( nMDO3 == 0 )
			m_CEdit_MDO_3.SetWindowText(TEXT("GPO3 : Low"));
		else
			m_CEdit_MDO_3.SetWindowText(TEXT("Undefined"));
	}
	else
	{
		m_CEdit_MDO_1.SetWindowText(TEXT("?"));
		m_CEdit_MDO_2.SetWindowText(TEXT("?"));
		m_CEdit_MDO_3.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetMDIStatus()
{
	int nMDI1 = 0;
	int nMDI2 = 0;
	int nMDI3 = 0;
	int nResult = GetMDIStatus(&nMDI1, &nMDI2, &nMDI3);
	if( nResult == 1 )
	{
		if( nMDI1 == 1 )
			m_CEdit_MDI_1.SetWindowText(TEXT("GPI1 : High"));
		else if( nMDI1 == 0 )
			m_CEdit_MDI_1.SetWindowText(TEXT("GPI1 : Low"));
		else
			m_CEdit_MDI_1.SetWindowText(TEXT("Undefined"));

		if( nMDI2 == 1 )
			m_CEdit_MDI_2.SetWindowText(TEXT("GPI2 : High"));
		else if( nMDI2 == 0 )
			m_CEdit_MDI_2.SetWindowText(TEXT("GPI2 : Low"));
		else
			m_CEdit_MDI_2.SetWindowText(TEXT("Undefined"));

		if( nMDI3 == 1 )
			m_CEdit_MDI_3.SetWindowText(TEXT("GPI3 : High"));
		else if( nMDI3 == 0 )
			m_CEdit_MDI_3.SetWindowText(TEXT("GPI3 : Low"));
		else
			m_CEdit_MDI_3.SetWindowText(TEXT("Undefined"));
	}
	else
	{
		m_CEdit_MDI_1.SetWindowText(TEXT("?"));
		m_CEdit_MDI_2.SetWindowText(TEXT("?"));
		m_CEdit_MDI_3.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::fnGetSIMCardStatus()
{
	int nSIMCard;
	int nResult = GetSIMCardStatus(&nSIMCard);
	if( nResult == 1 )
	{
		CString strSIMCard;
		switch(nSIMCard)
		{
		case 0: strSIMCard = TEXT("1"); break;
		case 1: strSIMCard = TEXT("2"); break;
		default: strSIMCard = TEXT("Undefined"); break;
		}
		m_CEdit_GetSIMCardStatus.SetWindowText(strSIMCard);
	}
	else
	{
		m_CEdit_GetSIMCardStatus.SetWindowText(TEXT("?"));
	}
}

void CDialogConfigTab1::OnBnClickedButton1()
{
	int nWWAN_Enable = m_CComboBox_WWAN_Enable.GetCurSel();
	int nWWAN_Wakeup_Enable = m_CComboBox_WWAN_Wakeup_Enable.GetCurSel();

	int nResult = SetWWANControl(nWWAN_Enable, nWWAN_Wakeup_Enable);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set WWAN Control Success."));

		fnGetWWANStatus();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set WWAN Control Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton2()
{
	int nWiFi = m_CComboBox_WiFi.GetCurSel();

	int nResult = SetWiFiControl(nWiFi);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set WiFi Control Success."));

		fnGetWiFiStatus();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set WiFi Control Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton3()
{
	int nMDO1 = m_CComboBox_MDO_1.GetCurSel();
	int nMDO2 = m_CComboBox_MDO_2.GetCurSel();
	int nMDO3 = m_CComboBox_MDO_3.GetCurSel();
	int nResult = SetMDOControl(nMDO1, nMDO2, nMDO3);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set MCU GPO Success."));

		fnGetMDOStatus();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set MCU GPO Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton4()
{
	fnGetMDOStatus();
}

void CDialogConfigTab1::OnBnClickedButton5()
{
	fnGetMDIStatus();
}

void CDialogConfigTab1::OnBnClickedButton6()
{
	int nSIMCardSelect = m_CComboBox_SIMCardSelect.GetCurSel();
	int nResult = SetSIMCardSelect(nSIMCardSelect);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set SIM Card Select Success."));

		fnGetSIMCardStatus();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set SIM Card Select Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton7()
{
	int nBootMode = m_CComboBox_BootMode.GetCurSel();
	int nResult = SetBootMode(nBootMode);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set Boot Mode Success."));
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set Boot Mode Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton8()
{
	int nOSControl = m_CComboBox_OSControl.GetCurSel();
	int nResult = SetOSControl(nOSControl);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set OS Control Success."));

		fnGetOSControl();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set OS Control Failed!!!"));
	}
}

void CDialogConfigTab1::OnBnClickedButton9()
{
	int nEnable = m_CComboBox_LANControl.GetCurSel();
	int nResult = SetLANControl(nEnable);
	if( nResult == 1 )
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set LAN Control Success."));

		fnGetLANStatus();
	}
	else
	{
		CVTC1911_IPK_UtilityDlg* p_MainDlg = (CVTC1911_IPK_UtilityDlg *)AfxGetMainWnd();
		if( p_MainDlg ) p_MainDlg->m_CEdit_Message.SetWindowText(TEXT("Set LAN Control Failed!!!"));
	}
}

void CDialogConfigTab1::DoCommand()
{
	if( FALSE == m_isDoCommand )
	{
		m_isDoCommand = TRUE;
		m_nStep = 0;
		SetTimer(1, 0, NULL);
	}
}

void CDialogConfigTab1::OnBnClickedButton10()
{
	m_CEdit_MCUversion.SetWindowText(TEXT(""));
	m_CEdit_Ignition.SetWindowText(TEXT(""));
	m_CEdit_SupplyVoltage.SetWindowText(TEXT(""));

	UpdateWindow();

	fnUpdate();
}
